function ret = mycolormap(n)
    if nargin == 0
        n = 255;
    end
    white = myrgb2lab([0.9 0.9 0.9]);
    red = myrgb2lab([0.9 0 0]);
    redblack = myrgb2lab([0.3 0.1 0.2]);
    blue = myrgb2lab([0 0.4 1.0]);
    blueblack = myrgb2lab([0 0.1 0.4]);
    
    x = [0; 0.25; 0.50; 0.75; 1];
    smallmap = [blueblack; blue; white; red; redblack];
    v = smallmap;
    ret = min(abs(mylab2rgb(interp1(x, v, 0:1/n:1-1/n))), 1);
end
