function fh = myfigure(id)
    if isa(findobj('Type', 'figure', 'Number', id), 'matlab.graphics.GraphicsPlaceholder')
        if nargout == 0
            figure(id);
        else
            fh = figure(id);
        end
    else
        set(0, 'CurrentFigure', findobj('Type', 'figure', 'Number', id))
        if nargout == 1
            fh = gcf;
        end
    end
end