function savefigure(myfilename, varargin)
    warning('off', 'MATLAB:MKDIR:DirectoryExists');
    mkdir('pics');
    warning('on', 'MATLAB:MKDIR:DirectoryExists');
    print(strcat('pics', filesep(), myfilename), '-dpng', varargin{:});
    print(strcat('pics', filesep(), myfilename), '-dpdf', '-bestfit', varargin{:});
    fclose('all');
    if isunix & programexists('LD_LIBRARY_PATH="" pdfcrop --help > /dev/null 2>&1')
        system('sync');
        system(sprintf('LD_LIBRARY_PATH="" pdfcrop %s %s', sprintf("pics/%s.pdf", myfilename), sprintf("pics/%s.pdf", myfilename)));
    end
    if isunix & programexists('LD_LIBRARY_PATH="" convert -version > /dev/null 2>&1')
        system('sync');
        system(sprintf('LD_LIBRARY_PATH="" convert -trim %s %s', sprintf("pics/%s.png", myfilename), sprintf("pics/%s.png", myfilename)));
    end
    savefig(strcat('pics', filesep(), myfilename));
end
