print_latex([CEM_constant_finalerrs(:, 2)', CEM_constant_finalerrs(:, 1)'
P1CEM_constant_finalerrs(:, 2)', P1CEM_constant_finalerrs(:, 1)'
Peak_constant_finalerrs(:, 2)', Peak_constant_finalerrs(:, 1)'])

print_latex([log_contact_conductances_mean_empty log_contact_conductances_sd_empty])

print_latex([CEM_gauss_finalerrs(3, 2) sqrt(CEM_gauss_finalerrs(3, 3)) 0;
P1CEM_gauss_finalerrs(3, 2) sqrt(P1CEM_gauss_finalerrs(3, 3:4));
Peak_gauss_finalerrs(3, 2) sqrt(Peak_gauss_finalerrs(3, 3:4))])

print_latex([midpoint_errors_empty(:, 3) midpoint_errors_hard(:, 3)]*1000)

function print_latex(A)
    row_titles = ["CEM", "PL", "PH"];
    for rowi = 1:size(A, 1)
        row_string = "";
        row_string = row_string + row_titles(rowi);
        for coli = 1:size(A, 2)
            row_string = row_string + " & " + sprintf("%0.5f", A(rowi, coli));
        end
        
        if rowi ~= 3
            row_string = row_string + " \\\\";
        end
        fprintf(row_string + "\n")
    end
    fprintf("\n")
end
