classdef TriangleOpts < matlab.mixin.Copyable
    properties
        quality = 33;
        area = 1000;
    end
    methods
        function obj = BlobgenOpts()
        end
        
        function argList = getArguments(obj, filename);
            argList = " -P -Z";
            argList = strcat(argList, " -q", string(obj.quality));
            argList = strcat(argList, " -a", sprintf("%f", obj.area));
            argList = strcat(argList, " -p ", filename);
            argList = strcat(argList, " ");
        end
    end
end